/* CSS Document */

@charset "utf-8";

a#calender_Cal4_Back,
a#calender_Cal4_Next {
  background-color: #ccc;
  padding: 2px 10px;
  border: solid 1px #000000;
  border-radius: 0.25em;
}

a#calender_Cal4_Back:hover,
a#calender_Cal4_Next:hover {
  background-color: #eee;
  padding: 2px 10px;
  border: inset 1px;
  cursor: default;
}

a#calender_Cal4_Back.disabled,
a#calender_Cal4_Next.disabled {
  background-color: #ccc !important;
  padding: 2px 10px;
  border: inset 1px #cccccc !important;
}

#calender > tbody > tr > th,
#calender > tbody > tr > td{
  display: table-cell;
}

#calender > tbody > tr.calendar_title_date > td,
#calender > tbody > tr.calendar_title_dayofweek > td{
  background: none !important;
  border: none !important;
  height: auto !important;
}
#calender > tbody > tr.calendar_title_date > td{
  width: calc(100% / 8) !important;
  padding: 8px 0 0 0 !important;
}
#calender > tbody > tr.calendar_title_dayofweek > td{
  font-size: 11px !important;
  padding: 0 0 5px 0 !important;
}
#calender > tbody > tr.calendar_title_dayofweek > td.sat{
  color:#2782f2 !important;
}
#calender > tbody > tr.calendar_title_dayofweek > td.sun{
  color:#e3392a !important;
}

#calender + div{
  margin-top: 5px;
  margin-left: 40px;
  max-width: 500px;
  width: 100%;
  font-size: 12px !important;
  color: #777;
}

@media screen and (max-width: 800px){
  #calender + div{
    max-width: 750px;
    width: 95%;
    margin-left: 0;
  }
}

#calender > tbody > tr > td:first-child{
  width: 60px ;
  padding: 0 10px;
  text-align: right !important;
  background: none !important;
  border: none !important ;
}

@media screen and (max-width: 800px){
  #calender > tbody > tr > td:first-child{
     padding: 0 5px;
  }
}

#calender > tbody > tr:not([class*="calendar_title_"]) > td:empty {
  background: #ddd !important;
}
#calender > tbody > tr:not([class*="calendar_title_"]) > td:empty::before {
  content: "―";
  color: rgb(170, 170, 170);
  position: absolute;
  transform: translate(-50%, -50%);
}
#calender > tbody > tr:not([class*="calendar_title_"]) > td:empty::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 1.1rem;
  height: 1.1rem;
  cursor: pointer;
  border-radius: 50%;
}
#calender > tbody > tr > td:last-child{
margin
}

.ok::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 0.7rem;
  height: 0.7rem;
  border: 1.2px solid #aaa;
  border-radius: 50%;
}
.ok:checked::before {
  border: none;
}

.no::before {
  content: "―" !important;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: rgb(170, 170, 170);
  border: none !important;
}


/*新デザイン調整*/
#calender{
    width: 100% ;
    border-collapse: collapse !important;
    border-spacing: 0 !important;
    background-color:  transparent !important;
}
@media screen and (max-width: 800px){
  #calender{
    max-width: 750px;
  }
}
#calender > tbody > tr{
  background-color:  transparent !important;
}
#calender > tbody > tr > th,
#calender > tbody > tr > td{
  border: 1px solid #ccc !important;
  height: 40px !important;
  vertical-align: middle !important;
  font-size: 14px !important;
}
#calender > tbody > tr.calendar_title_month > th{
font-size: 16px !important;
}
@media screen and (max-width: 800px){
  #calender > tbody > tr > th,
  #calender > tbody > tr > td{
    height: 36px !important;
  }
}
#calender > tbody > tr > th {
  background-color: transparent !important;
  color: #333 !important;
  font-weight: bold !important;
  border: none !important;
  padding: 5px 0 !important;
}
#calender > tbody > tr > td{
  width: auto !important;
  background: none !important;
}
.is_ok #calender > tbody > tr > td{
  background-color: #fff !important;
}
#calender > tbody > tr > td input{
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0 auto;
  cursor: pointer;
  background: none;
  border: none;
  border-radius: 0;
}
#calender > tbody > tr > td input:checked{
  background: linear-gradient(135deg, rgb(45, 176, 220), rgb(95, 233, 172));
  border-radius: 6px;
  width: 95%;
  height: 95%;
  top: 1px;
}

#calender > tbody > tr > td input:checked::after {
  content: "";
  display: block;
  position: absolute;
  border-left: 2px solid #FFF;
  border-bottom: 2px solid #FFF;
  width: 10px;
  height: 5px;
  transform: rotate(-45deg);
  top:0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
}

#calender > tbody > tr > td input:disabled{
  background: #ddd;
}	
@-moz-document url-prefix() {
  #calender > tbody > tr > td input {
    height: calc(100% + 8px) !important;
  }
}
_:-ms-lang(x), #calender > tbody > tr > td input {
  top: 0px;
  width: 16px !important;
  height: 16px !important;
  border: 1px solid #ccc !important;
}
_:-ms-lang(x), #calender > tbody > tr > td input:checked {
  background: none;
  -webkit-appearance: checkbox;
  -moz-appearance: checkbox;
  appearance: checkbox;
}}
